Loading...
Searching...
No Matches
Halide::Runtime Namespace Reference

## Namespaces

namespace | Internal

## Classes

class | Buffer
| A templated Buffer class that wraps halide_buffer_t and adds functionality. More...
struct | AllInts
struct | AllInts<>
struct | AllInts< T, Args... >
struct | AllInts< float, Args... >
struct | AllInts< double, Args... >
struct | AllocationHeader
| A struct acting as a header for allocations owned by the Buffer class itself. More...
struct | DeviceRefCount
| A similar struct for managing device allocations. More...

## Enumerations

enum struct | BufferDeviceOwnership : int { Allocated , WrappedNative , Unmanaged , AllocatedDeviceAndHost , Cropped }
| This indicates how to deallocate the device for a Halide::Runtime::Buffer. More...

## Variables

constexpr int | AnyDims = -1

## Enumeration Type Documentation

## BufferDeviceOwnership

enum struct Halide::Runtime::BufferDeviceOwnership : int

strong

This indicates how to deallocate the device for a Halide::Runtime::Buffer.

Enumerator
Allocated |

WrappedNative

> halide_device_free will be called when device ref count goes to zero

Unmanaged

> halide_device_detach_native will be called when device ref count goes to zero

AllocatedDeviceAndHost

> No free routine will be called when device ref count goes to zero

Cropped

> Call device_and_host_free when DevRefCount goes to zero.

Definition at line 179 of file HalideBuffer.h.

## Variable Documentation

## AnyDims

int Halide::Runtime::AnyDims = -1

constexpr

Definition at line 195 of file HalideBuffer.h.

Referenced by Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::add_dimension(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::Buffer, Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::Buffer(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::can_convert_from(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::copy_from(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::copy_to_interleaved(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::embed(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::make_interleaved(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::make_interleaved(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::make_scalar(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::make_scalar(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::make_scalar(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::make_with_shape_of(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::operator()(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::operator()(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::operator()(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::operator()(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::slice(), Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::sliced(), and Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::sliced().